<div class="">

	<section >
		<div class="mb-16">
			<span [matTooltip]="!checkAddRemove? 'Добавление недоступно' : null">
			<button mat-flat-button color="primary"
				[disabled]="!checkAddRemove"
				routerLink="../../competitive/new"

				[queryParams]="{ id_campaign: this.campaignId }">
				Добавить конкурсную группу
			</button>
			</span>
			<div fxFlex=""></div>

			<button mat-flat-button color="primary" (click)="getCompetitiveToExcel()">
				Скачать в excel
			</button>
		</div>


		<div>
			<mat-form-field appearance="outline" fxFlex="">
				<input matInput type="text"
					[(ngModel)]="params.search_name"
					(ngModelChange)="searchText.next($event)"
					placeholder="Поиск по наименованию конкурсной группы"  >
				<button *ngIf="params.search_name" mat-icon-button matSuffix aria-label="Clear"
					(click)="params.search_name=''; searchText.next('') ">
					<mat-icon matSuffix svgIcon="close" ></mat-icon>
				</button>
			</mat-form-field>
		</div>



	</section>
  <app-loader *ngIf="isLoad"></app-loader>

	<div class="art-card">
		<table mat-table
			[dataSource]="competitiveList"
			matSort (matSortChange)="sortEvent.next($event)"
			[matSortActive]="params.sortby" [matSortDirection]="params.order">

			<ng-container  matColumnDef="id">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="id"> ID </th>
				<td mat-cell *matCellDef="let item" >{{item.id}}</td>
			</ng-container>

			<ng-container  matColumnDef="name">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="name"> Наименование конкурсной группы </th>
				<td mat-cell *matCellDef="let item" >{{item.name}}</td>
			</ng-container>

			<ng-container  matColumnDef="education_level">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="name_education_level"> Уровень образования </th>
				<td mat-cell *matCellDef="let item" >{{item.name_education_level}}</td>
			</ng-container>

			<ng-container  matColumnDef="direction">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="code_specialty"> Направление подготовки</th>
				<td mat-cell *matCellDef="let item" >{{item.code_specialty}} {{item.name_direction}}</td>
			</ng-container>

			<ng-container  matColumnDef="education_source">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="name_education_source"> Источник финансирования</th>
				<td mat-cell *matCellDef="let item" >{{item.name_education_source}}</td>
			</ng-container>

			<ng-container  matColumnDef="budget_level">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="name_level_budget"> Уровень бюджетов</th>
				<td mat-cell *matCellDef="let item" >{{item.name_level_budget}}</td>
			</ng-container>

			<ng-container  matColumnDef="education_form">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="name_education_form"> Форма обучения</th>
				<td mat-cell *matCellDef="let item" >{{item.name_education_form}}</td>
			</ng-container>

			<ng-container  matColumnDef="count">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="number">Мест</th>
				<td mat-cell *matCellDef="let item" >{{item.number}}</td>
			</ng-container>

			<ng-container  matColumnDef="uid">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="uid"> uid</th>
				<td mat-cell *matCellDef="let item" >{{item.uid}}</td>
			</ng-container>

			<ng-container  matColumnDef="actions">
				<th mat-header-cell *matHeaderCellDef> </th>
				<td mat-cell *matCellDef="let item; let index = index" >
					<span [matTooltip]="!checkAddRemove? 'Удаление недоступно' : null">
						<button mat-icon-button
							[disabled]="!checkAddRemove"
							(click)="delete(item.id, index); $event.stopPropagation()">
							<mat-icon svgIcon="delete-outline"></mat-icon>
						</button>
					</span>

				</td>
			</ng-container>


			<ng-container  matColumnDef="noElements">
				<td mat-footer-cell *matFooterCellDef [colSpan]="displayedColumns.length"> <i>Конкрусные группы не найдены </i></td>
			</ng-container>

			<tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: false"></tr>

			<tr class="table-row" mat-row
				*matRowDef="let item; columns: displayedColumns"
				[routerLink]="['../../competitive', item.id]"
				[hidden]="competitiveList.length == 0"></tr>

			<tr mat-footer-row *matFooterRowDef="['noElements'] "
				[hidden]="competitiveList.length !== 0"></tr>


		</table>

		<mat-paginator  [length]="total"
			[pageIndex]="params.page - 1"
			[pageSize]="params.limit"
			(page)="pagination.next($event)"
			[pageSizeOptions]="[5, 10, 15, 20, 30, 50, 100]"
			showFirstLastButtons>
		</mat-paginator>
	</div>




</div>
